liblinphone 3.9.1

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Fields

Data Fields
limeKey_struct Struct Reference

Structure holding all needed material to encrypt/decrypt Messages. More...

`#include <lime.h>`

## Data Fields
uint8_t | key [32]
uint8_t | sessionId [32]
uint32_t | sessionIndex
uint8_t | peerZID [12]

## Detailed Description

Structure holding all needed material to encrypt/decrypt Messages.

## Field Documentation

uint8_t limeKey_struct::key[32]

a 256 bit key used to encrypt/decrypt message

uint8_t limeKey_struct::sessionId[32]

a session id used to derive key

uint32_t limeKey_struct::sessionIndex

an index to count number of derivation

uint8_t limeKey_struct::peerZID[12]

the ZID associated to this key

The documentation for this struct was generated from the following file:

- lime.h